// MULTIBND.H
// Written by Stefan Pfeiffer, DL1ELY, 950111
// Last modification: 950924
// (C) 1995 by Stefan Pfeiffer, DL1ELY@DB0PKE

#ifndef MULTIBND_H

#define MULTIBND_H

#include <string.h>

#include "tools.h"
#include "input.h"
#include "database.h"
#include "locator.h"
#include "structs.h"

typedef struct definition
{
  struct definition *next, *prev;

  struct header h;
  struct squareinfo *first_square, *last_square;
  struct countryinfo *first_pref, *last_pref;
  struct qso act_qso;
  char call_incomplete;
  struct squareinfo *act_square;
  struct countryinfo *act_prefix;
  unsigned char loc_state;
  unsigned char qso_mode;
  unsigned char fixtime;
  unsigned char pattern[21];

  char fname[128];
  char band[9];
//char inputline[80];
//char xcur;
  char found;
};

#define DEF_SIZE sizeof(struct definition)
#define NULLdefinition (struct definition *)0;

extern unsigned bands, valid;
extern struct definition *firstdef, *lastdef;

void kill_definitions(void);
void load_all_definitions(void);
char load_definitions(char *, char *, char *);
void disable_band(struct definition *);
void enable_band(struct definition *, unsigned);
struct definition *select_band(void);

#endif

